nz-spin([nzSpinning]="loading", [nzDelay]="200", nzTip="Loading modules")
  ng-container(*ngIf="items.length; then withResults else withoutResults")

ng-template(#withResults)
  div(nz-row, [nzGutter]="8")
    div(*ngFor="let item of items; trackBy: trackItemById", nz-col, [nzSpan]="span")
      ng-container(*ngTemplateOutlet="itemRender; context: { $implicit: item }")

ng-template(#withoutResults)
  nz-card(nzBordered="false")
    nz-empty(nzNotFoundContent="No module available")
